com.impinj.stp

## Class StpApi.Region.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.Region.Builder>
      - - com.impinj.stp.StpApi.Region.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.RegionOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.Region

      public static final class StpApi.Region.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.Region.Builder>
      implements StpApi.RegionOrBuilder

  Protobuf type `Impinj.STP.Region` Details needed to specify all region parameters.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.Region.Builder` | `addAllFixedFrequencyList(java.lang.Iterable<? extends java.lang.Integer> values)`
    `StpApi.Region.Builder` | `addFixedFrequencyList(int value)`
    `StpApi.Region` | `build()`
    `StpApi.Region` | `buildPartial()`
    `StpApi.Region.Builder` | `clear()`
    `StpApi.Region.Builder` | `clearFixedFrequencyList()`
    `StpApi.Region.Builder` | `clearRegionId()`
    `StpApi.Region.Builder` | `clone()`
    `StpApi.Region` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `int` | `getFixedFrequencyList(int index)`
    `int` | `getFixedFrequencyListCount()`
    `java.util.List<java.lang.Integer>` | `getFixedFrequencyListList()`
    `StpApi.RegulatoryRegion` | `getRegionId()`
    `boolean` | `hasRegionId()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.Region.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.Region.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.Region.Builder` | `mergeFrom(StpApi.Region other)`
    `StpApi.Region.Builder` | `setFixedFrequencyList(int index, int value)`
    `StpApi.Region.Builder` | `setRegionId(StpApi.RegulatoryRegion value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Region.Builder>`

    - #### clear

          public StpApi.Region.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Region.Builder>`

    - #### clone

          public StpApi.Region.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Region.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Region.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.Region getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.Region build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.Region buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.Region.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.Region.Builder>`

    - #### mergeFrom

          public StpApi.Region.Builder mergeFrom(StpApi.Region other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Region.Builder>`

    - #### mergeFrom

          public StpApi.Region.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                          throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.Region.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasRegionId

          public boolean hasRegionId()

      Specified by:
        `hasRegionId` in interface `StpApi.RegionOrBuilder`

    - #### getRegionId

          public StpApi.RegulatoryRegion getRegionId()

      Specified by:
        `getRegionId` in interface `StpApi.RegionOrBuilder`

    - #### setRegionId

          public StpApi.Region.Builder setRegionId(StpApi.RegulatoryRegion value)

    - #### clearRegionId

          public StpApi.Region.Builder clearRegionId()

    - #### getFixedFrequencyListList

          public java.util.List<java.lang.Integer> getFixedFrequencyListList()

      Specified by:
        `getFixedFrequencyListList` in interface `StpApi.RegionOrBuilder`

    - #### getFixedFrequencyListCount

          public int getFixedFrequencyListCount()

      Specified by:
        `getFixedFrequencyListCount` in interface `StpApi.RegionOrBuilder`

    - #### getFixedFrequencyList

          public int getFixedFrequencyList(int index)

      Specified by:
        `getFixedFrequencyList` in interface `StpApi.RegionOrBuilder`

    - #### setFixedFrequencyList

          public StpApi.Region.Builder setFixedFrequencyList(int index,
                                                             int value)

    - #### addFixedFrequencyList

          public StpApi.Region.Builder addFixedFrequencyList(int value)

    - #### addAllFixedFrequencyList

          public StpApi.Region.Builder addAllFixedFrequencyList(java.lang.Iterable<? extends java.lang.Integer> values)

    - #### clearFixedFrequencyList

          public StpApi.Region.Builder clearFixedFrequencyList()